#
# spec file for package python-Frozen-Flask
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-Frozen-Flask
Version:        0.12
Release:        3.1
Summary:        A Flask application into a set of static files
License:        BSD-2-Clause
Group:          Development/Languages/Python
Url:            http://pythonhosted.org/Frozen-Flask
Source:         https://pypi.python.org/packages/source/F/Frozen-Flask/Frozen-Flask-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-Flask
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Frozen-Flask freezes a Flask application into a set of static files. The result can be hosted without any server-side software other than a traditional web server.

%prep
%setup -q -n Frozen-Flask-%{version}

%build
python2 setup.py build

%install
python2 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root)
%{python_sitelib}/Frozen_Flask-%{version}-py%{py_ver}.egg-info/
%{python_sitelib}/flask_frozen/
%doc README LICENSE

%changelog
* Thu Jul  7 2016 wnereiz@eienteiland.org
- Add missing change log
